package models

type KyyChargeCustomTwo struct {
	ID                            int64  `gorm:"column:id" json:"id" form:"id"`
	Name                          string `gorm:"column:name" json:"name" form:"name"`
	XtOrgId                       int64  `gorm:"column:xt_org_id" json:"xt_org_id" form:"xt_org_id"`
	Status                        int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator                       int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                      int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	CustomType                    int64  `gorm:"column:custom_type" json:"custom_type" form:"custom_type"`
	Salesperson                   string `gorm:"column:salesperson" json:"salesperson" form:"salesperson"`
	SignTime                      string `gorm:"column:sign_time" json:"sign_time" form:"sign_time"`
	ContractPrice                 string `gorm:"column:contract_price" json:"contract_price" form:"contract_price"`
	SoftwarePrice                 string `gorm:"column:software_price" json:"software_price" form:"software_price"`
	HardwarePrice                 string `gorm:"column:hardware_price" json:"hardware_price" form:"hardware_price"`
	YearCostPrice                 string `gorm:"column:year_cost_price" json:"year_cost_price" form:"year_cost_price"`
	Address                       string `gorm:"column:address" json:"address" form:"address"`
	IsImplement                   int64  `gorm:"column:is_implement" json:"is_implement" form:"is_implement"`
	LisStatus                     int64  `gorm:"column:lis_status" json:"lis_status" form:"lis_status"`
	LisContact                    string `gorm:"column:lis_contact" json:"lis_contact" form:"lis_contact"`
	LisTime                       string `gorm:"column:lis_time" json:"lis_time" form:"lis_time"`
	LisRemark                     string `gorm:"column:lis_remark" json:"lis_remark" form:"lis_remark"`
	QcStatus                      int64  `gorm:"column:qc_status" json:"qc_status" form:"qc_status"`
	YbStatus                      int64  `gorm:"column:yb_status" json:"yb_status" form:"yb_status"`
	Remark                        string `gorm:"column:remark" json:"remark" form:"remark"`
	WeightScaleStatus             int64  `gorm:"column:weight_scale_status" json:"weight_scale_status" form:"weight_scale_status"`
	WeightScaleBrand              string `gorm:"column:weight_scale_brand" json:"weight_scale_brand" form:"weight_scale_brand"`
	WeightScaleRemark             string `gorm:"column:weight_scale_remark" json:"weight_scale_remark" form:"weight_scale_remark"`
	SphygmomanometerStatus        int64  `gorm:"column:sphygmomanometer_status" json:"sphygmomanometer_status" form:"sphygmomanometer_status"`
	SphygmomanometerBrand         string `gorm:"column:sphygmomanometer_brand" json:"sphygmomanometer_brand" form:"sphygmomanometer_brand"`
	SphygmomanometerRemark        string `gorm:"column:sphygmomanometer_remark" json:"sphygmomanometer_remark" form:"sphygmomanometer_remark"`
	ScannerStatus                 int64  `gorm:"column:scanner_status" json:"scanner_status" form:"scanner_status"`
	ScannerBrand                  string `gorm:"column:scanner_brand" json:"scanner_brand" form:"scanner_brand"`
	ScannerRemark                 string `gorm:"column:scanner_remark" json:"scanner_remark" form:"scanner_remark"`
	FacialRecognitionDeviceStatus int64  `gorm:"column:facial_recognition_device_status" json:"facial_recognition_device_status" form:"facial_recognition_device_status"`
	FacialRecognitionDeviceBrand  string `gorm:"column:facial_recognition_device_brand" json:"facial_recognition_device_brand" form:"facial_recognition_device_brand"`
	FacialRecognitionDeviceRemark string `gorm:"column:facial_recognition_device_remark" json:"facial_recognition_device_remark" form:"facial_recognition_device_remark"`
	PrinterStatus                 int64  `gorm:"column:printer_status" json:"printer_status" form:"printer_status"`
	PrinterBrand                  string `gorm:"column:printer_brand" json:"printer_brand" form:"printer_brand"`
	PrinterRemark                 string `gorm:"column:printer_remark" json:"printer_remark" form:"printer_remark"`
	HardwareRemark                string `gorm:"column:hardware_remark" json:"hardware_remark" form:"hardware_remark"`
	ImplementTime                 string `gorm:"column:implement_time" json:"implement_time" form:"implement_time"`
	ImplementPerson               string `gorm:"column:implement_person" json:"implement_person" form:"implement_person"`
	ImplementRemark               string `gorm:"column:implement_remark" json:"implement_remark" form:"implement_remark"`
	YbTime                        string `gorm:"column:yb_time" json:"yb_time" form:"yb_time"`
	YbPerson                      string `gorm:"column:yb_person" json:"yb_person" form:"yb_person"`
	YbRemark                      string `gorm:"column:yb_remark" json:"yb_remark" form:"yb_remark"`
	QcTime                        string `gorm:"column:qc_time" json:"qc_time" form:"qc_time"`
	QcPerson                      string `gorm:"column:qc_person" json:"qc_person" form:"qc_person"`
	QcRemark                      string `gorm:"column:qc_remark" json:"qc_remark" form:"qc_remark"`
}

func (KyyChargeCustomTwo) TableName() string {
	return "kyy_charge_custom"
}

type KyyChargeCustom struct {
	ID                            int64                         `gorm:"column:id" json:"id" form:"id"`
	Name                          string                        `gorm:"column:name" json:"name" form:"name"`
	XtOrgId                       int64                         `gorm:"column:xt_org_id" json:"xt_org_id" form:"xt_org_id"`
	Status                        int64                         `gorm:"column:status" json:"status" form:"status"`
	Ctime                         int64                         `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                         int64                         `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator                       int64                         `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                      int64                         `gorm:"column:modifier" json:"modifier" form:"modifier"`
	CustomType                    int64                         `gorm:"column:custom_type" json:"custom_type" form:"custom_type"`
	Salesperson                   string                        `gorm:"column:salesperson" json:"salesperson" form:"salesperson"`
	SignTime                      string                        `gorm:"column:sign_time" json:"sign_time" form:"sign_time"`
	ContractPrice                 string                        `gorm:"column:contract_price" json:"contract_price" form:"contract_price"`
	SoftwarePrice                 string                        `gorm:"column:software_price" json:"software_price" form:"software_price"`
	HardwarePrice                 string                        `gorm:"column:hardware_price" json:"hardware_price" form:"hardware_price"`
	YearCostPrice                 string                        `gorm:"column:year_cost_price" json:"year_cost_price" form:"year_cost_price"`
	Address                       string                        `gorm:"column:address" json:"address" form:"address"`
	IsImplement                   int64                         `gorm:"column:is_implement" json:"is_implement" form:"is_implement"`
	LisStatus                     int64                         `gorm:"column:lis_status" json:"lis_status" form:"lis_status"`
	LisContact                    string                        `gorm:"column:lis_contact" json:"lis_contact" form:"lis_contact"`
	LisTime                       string                        `gorm:"column:lis_time" json:"lis_time" form:"lis_time"`
	LisRemark                     string                        `gorm:"column:lis_remark" json:"lis_remark" form:"lis_remark"`
	QcStatus                      int64                         `gorm:"column:qc_status" json:"qc_status" form:"qc_status"`
	YbStatus                      int64                         `gorm:"column:yb_status" json:"yb_status" form:"yb_status"`
	Remark                        string                        `gorm:"column:remark" json:"remark" form:"remark"`
	WeightScaleStatus             int64                         `gorm:"column:weight_scale_status" json:"weight_scale_status" form:"weight_scale_status"`
	WeightScaleBrand              string                        `gorm:"column:weight_scale_brand" json:"weight_scale_brand" form:"weight_scale_brand"`
	WeightScaleRemark             string                        `gorm:"column:weight_scale_remark" json:"weight_scale_remark" form:"weight_scale_remark"`
	SphygmomanometerStatus        int64                         `gorm:"column:sphygmomanometer_status" json:"sphygmomanometer_status" form:"sphygmomanometer_status"`
	SphygmomanometerBrand         string                        `gorm:"column:sphygmomanometer_brand" json:"sphygmomanometer_brand" form:"sphygmomanometer_brand"`
	SphygmomanometerRemark        string                        `gorm:"column:sphygmomanometer_remark" json:"sphygmomanometer_remark" form:"sphygmomanometer_remark"`
	ScannerStatus                 int64                         `gorm:"column:scanner_status" json:"scanner_status" form:"scanner_status"`
	ScannerBrand                  string                        `gorm:"column:scanner_brand" json:"scanner_brand" form:"scanner_brand"`
	ScannerRemark                 string                        `gorm:"column:scanner_remark" json:"scanner_remark" form:"scanner_remark"`
	FacialRecognitionDeviceStatus int64                         `gorm:"column:facial_recognition_device_status" json:"facial_recognition_device_status" form:"facial_recognition_device_status"`
	FacialRecognitionDeviceBrand  string                        `gorm:"column:facial_recognition_device_brand" json:"facial_recognition_device_brand" form:"facial_recognition_device_brand"`
	FacialRecognitionDeviceRemark string                        `gorm:"column:facial_recognition_device_remark" json:"facial_recognition_device_remark" form:"facial_recognition_device_remark"`
	PrinterStatus                 int64                         `gorm:"column:printer_status" json:"printer_status" form:"printer_status"`
	PrinterBrand                  string                        `gorm:"column:printer_brand" json:"printer_brand" form:"printer_brand"`
	PrinterRemark                 string                        `gorm:"column:printer_remark" json:"printer_remark" form:"printer_remark"`
	HardwareRemark                string                        `gorm:"column:hardware_remark" json:"hardware_remark" form:"hardware_remark"`
	ImplementTime                 string                        `gorm:"column:implement_time" json:"implement_time" form:"implement_time"`
	ImplementPerson               string                        `gorm:"column:implement_person" json:"implement_person" form:"implement_person"`
	ImplementRemark               string                        `gorm:"column:implement_remark" json:"implement_remark" form:"implement_remark"`
	YbTime                        string                        `gorm:"column:yb_time" json:"yb_time" form:"yb_time"`
	YbPerson                      string                        `gorm:"column:yb_person" json:"yb_person" form:"yb_person"`
	YbRemark                      string                        `gorm:"column:yb_remark" json:"yb_remark" form:"yb_remark"`
	QcTime                        string                        `gorm:"column:qc_time" json:"qc_time" form:"qc_time"`
	QcPerson                      string                        `gorm:"column:qc_person" json:"qc_person" form:"qc_person"`
	QcRemark                      string                        `gorm:"column:qc_remark" json:"qc_remark" form:"qc_remark"`
	KyyChargePaymentCollection    []*KyyChargePaymentCollection `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"cpc"`
	KyyChargeContact              []*KyyChargeContact           `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"cc"`
	KyyChargeContract             []*KyyChargeContract          `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"chargeContract"`
	KyyChargeDemand               []*KyyChargeDemand            `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"cd"`
	KyyChargeFollow               []*KyyChargeFollow            `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"cf"`
	KyyChargeRenewal              []*KyyChargeRenewal           `gorm:"ForeignKey:ID;AssociationForeignKey:CustomId" json:"cr"`
}

func (KyyChargeCustom) TableName() string {
	return "kyy_charge_custom"
}

type KyyChargePaymentCollection struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	XtOrgId                 int64  `gorm:"column:xt_org_id" json:"xt_org_id" form:"xt_org_id"`
	CustomId                int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	CustomName              string `gorm:"column:custom_name" json:"custom_name" form:"custom_name"`
	PaymentCollectionType   int64  `gorm:"column:payment_collection_type" json:"payment_collection_type" form:"payment_collection_type"`
	PaymentCollectionSumamt string `gorm:"column:payment_collection_sumamt" json:"payment_collection_sumamt" form:"payment_collection_sumamt"`
	SoftwareSumamt          string `gorm:"column:software_sumamt" json:"software_sumamt" form:"software_sumamt"`
	HardwareSumamt          string `gorm:"column:hardware_sumamt" json:"hardware_sumamt" form:"hardware_sumamt"`
	PaymentCollectionDate   string `gorm:"column:payment_collection_date" json:"payment_collection_date" form:"payment_collection_date"`
	PaymentCollectionRole   string `gorm:"column:payment_collection_role" json:"payment_collection_role" form:"payment_collection_role"`
	Url                     string `gorm:"column:url" json:"url" form:"url"`
	Remark                  string `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator                 int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	IsCheck                 int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (KyyChargePaymentCollection) TableName() string {
	return "kyy_charge_payment_collection"
}

type KyyChargeContact struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	XtOrgId       int64  `gorm:"column:xt_org_id" json:"xt_org_id" form:"xt_org_id"`
	CustomId      int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	ContactName   string `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	ContactPhone  string `gorm:"column:contact_phone" json:"contact_phone" form:"contact_phone"`
	ContactDuties string `gorm:"column:contact_duties" json:"contact_duties" form:"contact_duties"`
	IsDecision    string `gorm:"column:is_decision" json:"is_decision" form:"is_decision"`
	Remark        string `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator       int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier      int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	IsCheck       int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	ContactWay    string `gorm:"column:contact_way" json:"contact_way" form:"contact_way"`
}

func (KyyChargeContact) TableName() string {
	return "kyy_charge_contact"
}

type KyyChargeContract struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	XtOrgId       int64  `gorm:"column:xt_org_id" json:"xt_org_id" form:"xt_org_id"`
	CustomId      int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	Code          string `gorm:"column:code" json:"code" form:"code"`
	Name          string `gorm:"column:name" json:"name" form:"name"`
	CustomName    string `gorm:"column:custom_name" json:"custom_name" form:"custom_name"`
	Sumamt        string `gorm:"column:sumamt" json:"sumamt" form:"sumamt"`
	StartTime     string `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime       string `gorm:"column:end_time" json:"end_time" form:"end_time"`
	SigningPerson string `gorm:"column:signing_person" json:"signing_person" form:"signing_person"`
	WordFileUrl   string `gorm:"column:word_file_url" json:"word_file_url" form:"word_file_url"`
	PdfFileUrl    string `gorm:"column:pdf_file_url" json:"pdf_file_url" form:"pdf_file_url"`
	Remark        string `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator       int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier      int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	IsCheck       int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
}

func (KyyChargeContract) TableName() string {
	return "kyy_charge_contract"
}

type KyyChargeDemand struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	DemandType       int64  `gorm:"column:demand_type" json:"demand_type" form:"demand_type"`
	DemandDesc       string `gorm:"column:demand_desc" json:"demand_desc" form:"demand_desc"`
	DemandStatus     int64  `gorm:"column:demand_status" json:"demand_status" form:"demand_status"`
	DemandCreator    string `gorm:"column:demand_creator" json:"demand_creator" form:"demand_creator"`
	DemandCreateDate string `gorm:"column:demand_create_date" json:"demand_create_date" form:"demand_create_date"`
	DemandDirector   string `gorm:"column:demand_director" json:"demand_director" form:"demand_director"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	CustomId         int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	DemandFinishDate string `gorm:"column:demand_finish_date" json:"demand_finish_date" form:"demand_finish_date"`
	IsCheck          int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
	DemandDetail     string `gorm:"column:demand_detail" json:"demand_detail" form:"demand_detail"`
}

func (KyyChargeDemand) TableName() string {
	return "kyy_charge_demand"
}

type KyyChargeFollow struct {
	ID       int64  `gorm:"column:id" json:"id" form:"id"`
	Ctime    int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime    int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator  int64  `gorm:"column:creator" json:"creator" form:"creator"`
	CustomId int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	Desc     string `gorm:"column:desc" json:"desc" form:"desc"`
	Status   int64  `gorm:"column:status" json:"status" form:"status"`
	IsCheck  int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (KyyChargeFollow) TableName() string {
	return "kyy_charge_follow"
}

type KyyChargeRenewal struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	Type            int64  `gorm:"column:type" json:"type" form:"type"`
	StartTime       string `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime         string `gorm:"column:end_time" json:"end_time" form:"end_time"`
	SigningPersonal string `gorm:"column:signing_personal" json:"signing_personal" form:"signing_personal"`
	CustomId        int64  `gorm:"column:custom_id" json:"custom_id" form:"custom_id"`
	SignTime        string `gorm:"column:sign_time" json:"sign_time" form:"sign_time"`
	CheckPersonal   string `gorm:"column:check_personal" json:"check_personal" form:"check_personal"`
	Ctime           string `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           string `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	Remark          string `gorm:"column:remark" json:"remark" form:"remark"`
	IsCheck         int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (KyyChargeRenewal) TableName() string {
	return "kyy_charge_renewal"
}
